Permalink
Browse files

Start testing with Python 3.7

  • Loading branch information...
mjs committed Aug 27, 2018
1 parent b21d433 commit ed323287d9bc1cb24b0f86bd21c38884e66a6b07
Showing with 24 additions and 7 deletions.
  1. +24 −7 .travis.yml
View
@@ -1,12 +1,29 @@
dist: trusty
language: python
python:
- "2.7"
- "3.4"
- "3.5"
- "3.6"
- "pypy"
- "pypy3"
# Python 3.7+ needs a newer version of openssl than is available in trusty,
# so these must run on a newer platform (and since travis doesn't yet have
# containers for xenial, those must use VMs).
# YAML magic from https://github.com/travis-ci/travis-ci/issues/9069#issuecomment-401924248
.mixins:
- &xenial-mixin
dist: xenial
sudo: true
addons:
apt:
packages:
- libgnutls-dev
jobs:
include:
- python: "2.7"
- python: "3.4"
- python: "3.5"
- python: "3.6"
- python: "pypy"
- python: "pypy3"
- <<: *xenial-mixin
python: "3.7"
install: "python setup.py install"
script: "python setup.py test"
notifications:

0 comments on commit ed32328

Please sign in to comment.